curl -X GET https://api.portkey.ai/v1/scim/workspaces \
-H "x-portkey-api-key: PORTKEY_API_KEY"{
"mappings": [
{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"workspace_id": "ws_my-workspace",
"scim_group": "Engineering Team",
"scim_group_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"role": "member"
}
],
"total_count": 1
}List SCIM Workspace Mappings
List all mappings between SCIM groups and workspaces for the organisation. Optionally filter by workspace, SCIM group, or role.
GET
/
scim
/
workspaces
curl -X GET https://api.portkey.ai/v1/scim/workspaces \
-H "x-portkey-api-key: PORTKEY_API_KEY"{
"mappings": [
{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"workspace_id": "ws_my-workspace",
"scim_group": "Engineering Team",
"scim_group_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"role": "member"
}
],
"total_count": 1
}Authorizations
Query Parameters
Filter mappings by workspace ID or slug.
Filter mappings by SCIM group ID.
Filter mappings by role.
Available options:
admin, member, manager Last modified on June 3, 2026
Was this page helpful?
⌘I

